<!-- Created with Jaspersoft Studio version 7.0.0.final using JasperReports Library version 7.0.0-b478feaa9aab4375eba71de77b4ca138ad2f62aa  -->
<jasperReport name="table_intervention" language="java" pageWidth="550" pageHeight="842" whenNoDataType="NoDataSection" columnWidth="550" leftMargin="0" rightMargin="0" topMargin="0" bottomMargin="0" whenResourceMissingType="Empty" uuid="0089680f-636f-421e-b19d-e4ff3d1e7beb" summaryNewPage="true">
	<property name="com.jaspersoft.studio.data.defaultdataadapter" value="DB OLD"/>
	<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
	<parameter name="DateFrom" class="java.util.Date"/>
	<parameter name="DateUntil" class="java.util.Date"/>
	<parameter name="Group" class="java.lang.String">
		<description><![CDATA[]]></description>
	</parameter>
	<parameter name="RefClient" class="java.lang.String"/>
	<query language="sql"><![CDATA[SELECT "migrationSAV"."GROUPE_INTERVENTIONS"."Groupe",
	"migrationSAV"."GROUPE_INTERVENTIONS"."RefClient",
	"migrationSAV"."GROUPE_INTERVENTIONS"."NameClient",
	"migrationSAV"."GROUPE_INTERVENTIONS"."DateCall",
	"migrationSAV"."GROUPE_INTERVENTIONS"."DateFix",
	"migrationSAV"."GROUPE_INTERVENTIONS"."RefArticle",
	"migrationSAV"."GROUPE_INTERVENTIONS".quantite,
	"migrationSAV"."GROUPE_INTERVENTIONS"."PostalCode",
	"migrationSAV"."GROUPE_INTERVENTIONS"."Designation_Article",
	"migrationSAV"."GROUPE_INTERVENTIONS"."Cost"
FROM "migrationSAV"."GROUPE_INTERVENTIONS"
WHERE 
	  ( 
	 $P{DateFrom} IS NULL  
	 OR $P{DateFrom} <= "migrationSAV"."GROUPE_INTERVENTIONS"."DateCall") 
	 AND ( 
	 $P{DateUntil} IS NULL  
	 OR $P{DateUntil} >= "migrationSAV"."GROUPE_INTERVENTIONS"."DateCall") 
	 AND ( 
	 $P{Group} IS NULL  
	 OR $P{Group} = "migrationSAV"."GROUPE_INTERVENTIONS"."Groupe")
	 AND ( 
	 $P{RefClient} IS NULL  
	 OR $P{RefClient} = "migrationSAV"."GROUPE_INTERVENTIONS"."RefClient")
ORDER BY DateCall, RefClient]]></query>
	<field name="Groupe" class="java.lang.String"/>
	<field name="RefClient" class="java.lang.String"/>
	<field name="NameClient" class="java.lang.String"/>
	<field name="DateCall" class="java.sql.Date"/>
	<field name="DateFix" class="java.sql.Date"/>
	<field name="RefArticle" class="java.lang.String"/>
	<field name="quantite" class="java.lang.Integer"/>
	<field name="PostalCode" class="java.lang.Double"/>
	<field name="Designation_Article" class="java.lang.String"/>
	<field name="Cost" class="java.lang.Double"/>
	<variable name="Total" calculation="Count" class="java.lang.Integer">
		<expression><![CDATA[$F{RefClient}]]></expression>
		<initialValueExpression><![CDATA[0]]></initialValueExpression>
	</variable>
	<variable name="TotalCost" calculation="Sum" class="java.lang.Double">
		<expression><![CDATA[$F{Cost}]]></expression>
		<initialValueExpression><![CDATA[0.0]]></initialValueExpression>
	</variable>
	<columnHeader height="15" splitType="Stretch">
		<element kind="staticText" uuid="81fa78f4-417a-40e6-8e4f-c20060740003" x="0" y="0" width="100" height="15" hTextAlign="Center" vTextAlign="Middle">
			<text><![CDATA[Client]]></text>
			<property name="com.jaspersoft.studio.unit.width" value="pixel"/>
			<box>
				<pen lineWidth="1.0"/>
			</box>
		</element>
		<element kind="staticText" uuid="849f1cff-e874-403a-a18c-efbc82d7b460" x="150" y="0" width="50" height="15" hTextAlign="Center" vTextAlign="Middle">
			<text><![CDATA[Appel]]></text>
			<property name="com.jaspersoft.studio.unit.width" value="pixel"/>
			<property name="com.jaspersoft.studio.unit.x" value="pixel"/>
			<box>
				<pen lineWidth="1.0"/>
			</box>
		</element>
		<element kind="staticText" uuid="88a70020-3e02-4ee1-af31-73e421e5fea0" x="200" y="0" width="50" height="15" hTextAlign="Center" vTextAlign="Middle">
			<text><![CDATA[Fixe]]></text>
			<property name="com.jaspersoft.studio.unit.width" value="pixel"/>
			<property name="com.jaspersoft.studio.unit.x" value="pixel"/>
			<box>
				<pen lineWidth="1.0"/>
			</box>
		</element>
		<element kind="staticText" uuid="ba75c4f5-9908-4401-8ca9-99fe9189000b" x="250" y="0" width="80" height="15" hTextAlign="Center" vTextAlign="Middle">
			<text><![CDATA[RefArticle]]></text>
			<property name="com.jaspersoft.studio.unit.width" value="pixel"/>
			<property name="com.jaspersoft.studio.unit.x" value="pixel"/>
			<box>
				<pen lineWidth="1.0"/>
			</box>
		</element>
		<element kind="staticText" uuid="1eb8a689-8527-44ed-b1ff-a5295353e873" x="330" y="0" width="20" height="15" hTextAlign="Center" vTextAlign="Middle">
			<text><![CDATA[#]]></text>
			<property name="com.jaspersoft.studio.unit.width" value="pixel"/>
			<property name="com.jaspersoft.studio.unit.x" value="pixel"/>
			<box>
				<pen lineWidth="1.0"/>
			</box>
		</element>
		<element kind="staticText" uuid="77d15d59-55e6-4600-91f1-a047480f1cc9" x="100" y="0" width="50" height="15" hTextAlign="Center" vTextAlign="Middle">
			<text><![CDATA[CP]]></text>
			<property name="com.jaspersoft.studio.unit.x" value="pixel"/>
			<property name="com.jaspersoft.studio.unit.width" value="pixel"/>
			<box>
				<pen lineWidth="1.0"/>
			</box>
		</element>
		<element kind="staticText" uuid="1969caa5-b6f0-4189-bf80-913ddd9384fc" x="350" y="0" width="140" height="15" hTextAlign="Center" vTextAlign="Middle">
			<text><![CDATA[Piece]]></text>
			<property name="com.jaspersoft.studio.unit.width" value="pixel"/>
			<property name="com.jaspersoft.studio.unit.x" value="pixel"/>
			<box>
				<pen lineWidth="1.0"/>
			</box>
		</element>
		<element kind="staticText" uuid="bd43c549-2f0d-4671-b01e-fc95c8ce3f48" x="490" y="0" width="60" height="15" hTextAlign="Center" vTextAlign="Middle">
			<text><![CDATA[Coût]]></text>
			<property name="com.jaspersoft.studio.unit.width" value="pixel"/>
			<property name="com.jaspersoft.studio.unit.x" value="pixel"/>
			<box>
				<pen lineWidth="1.0"/>
			</box>
		</element>
	</columnHeader>
	<detail>
		<band height="15" splitType="Stretch">
			<element kind="textField" uuid="ea9a171c-ca75-40b6-9b57-4cdb220962b1" stretchType="ContainerHeight" x="0" y="0" width="100" height="15" fontSize="6.0" textAdjust="StretchHeight" blankWhenNull="true" hTextAlign="Center" vTextAlign="Middle">
				<expression><![CDATA[IF($F{RefClient} != null && $F{NameClient} != null,$F{RefClient} + " - " + $F{NameClient},"")]]></expression>
				<property name="com.jaspersoft.studio.unit.y" value="pixel"/>
				<property name="com.jaspersoft.studio.unit.width" value="pixel"/>
				<property name="com.jaspersoft.studio.unit.x" value="pixel"/>
				<box>
					<pen lineWidth="1.0"/>
				</box>
			</element>
			<element kind="textField" uuid="800ce06c-1211-478f-beb5-e08c2b6d8a4f" stretchType="ContainerHeight" x="150" y="0" width="50" height="15" fontSize="7.0" textAdjust="StretchHeight" pattern="dd/MM/yyyy" blankWhenNull="true" hTextAlign="Center" vTextAlign="Middle">
				<expression><![CDATA[$F{DateCall}]]></expression>
				<box>
					<pen lineWidth="1.0"/>
				</box>
			</element>
			<element kind="textField" uuid="eab4d72a-e88a-4ab8-8c86-de015df5864e" stretchType="ContainerHeight" x="200" y="0" width="50" height="15" fontSize="7.0" textAdjust="StretchHeight" pattern="dd/MM/yyyy" blankWhenNull="true" hTextAlign="Center" vTextAlign="Middle">
				<expression><![CDATA[$F{DateFix}]]></expression>
				<box>
					<pen lineWidth="1.0"/>
				</box>
			</element>
			<element kind="textField" uuid="a3bd1c51-f6cc-4669-b1d7-f4a4c6a70144" stretchType="ContainerHeight" x="250" y="0" width="80" height="15" textAdjust="StretchHeight" blankWhenNull="true" hTextAlign="Center" vTextAlign="Middle">
				<expression><![CDATA[$F{RefArticle}]]></expression>
				<property name="com.jaspersoft.studio.unit.x" value="pixel"/>
				<property name="com.jaspersoft.studio.unit.width" value="pixel"/>
				<box>
					<pen lineWidth="1.0"/>
				</box>
			</element>
			<element kind="textField" uuid="0355fa13-50f9-4bc6-b808-b0a4b6ddbbec" stretchType="ContainerHeight" x="330" y="0" width="20" height="15" textAdjust="StretchHeight" pattern="#,##0.###;(#,##0.###-)" blankWhenNull="true" hTextAlign="Center" vTextAlign="Middle">
				<expression><![CDATA[$F{quantite}]]></expression>
				<box>
					<pen lineWidth="1.0"/>
				</box>
			</element>
			<element kind="textField" uuid="c127ec05-e964-4748-9c57-a2c85b0a2d37" stretchType="ContainerHeight" x="100" y="0" width="50" height="15" textAdjust="StretchHeight" pattern="#,##0.###;(#,##0.###-)" blankWhenNull="true" hTextAlign="Center" vTextAlign="Middle">
				<expression><![CDATA[$F{PostalCode}]]></expression>
				<property name="com.jaspersoft.studio.unit.x" value="pixel"/>
				<box>
					<pen lineWidth="1.0"/>
				</box>
			</element>
			<element kind="textField" uuid="4873a10a-54c8-49dd-ab15-f0ca6e769ca7" stretchType="ContainerHeight" x="350" y="0" width="140" height="15" fontSize="6.0" textAdjust="StretchHeight" blankWhenNull="true" hTextAlign="Center" vTextAlign="Middle">
				<expression><![CDATA[$F{Designation_Article}]]></expression>
				<box>
					<pen lineWidth="1.0"/>
				</box>
			</element>
			<element kind="textField" uuid="7fa7571b-c4a7-4e3e-a7cd-14b5464fbb11" stretchType="ContainerHeight" x="490" y="0" width="60" height="15" textAdjust="StretchHeight" pattern="#,##0.00 € " blankWhenNull="true" hTextAlign="Center" vTextAlign="Middle">
				<expression><![CDATA[$F{Cost}]]></expression>
				<box>
					<pen lineWidth="1.0"/>
				</box>
			</element>
		</band>
	</detail>
	<noData height="30">
		<element kind="staticText" uuid="5f13abce-465d-41c0-8009-8dd715ded163" x="0" y="0" width="550" height="30" fontSize="14.0" bold="true" hTextAlign="Center" vTextAlign="Middle">
			<text><![CDATA[il n'y a pas d'interventions]]></text>
		</element>
	</noData>
</jasperReport>
